#include <bits/stdc++.h>

using namespace std;

int a1,b1,a2,b2;

int main()
{
    scanf("%d %d %d %d",&a2,&b2,&a1,&b1);
    if(a1==a2 && b1==b2)
    {
        printf("nijedan\n");
        return 0;
    }
    if(a1==a2)
    {
        printf("drugi\n");
        return 0;
    }
    if(b1==b2)
    {
        printf("prvi\n");
        return 0;
    }
    printf("?\n");
    return 0;
}